<?php
error_reporting(0);

if(isset($_GET['mac'])) {
if($_GET['mac'] != "undefined") {
    $mac_address = $_GET['mac'];
    $mac_address = chunk_split($mac_address, 2, ':');
    $mac_address = rtrim($mac_address, ':');
    $usuario_mac = strtoupper($mac_address);
    $file = fopen("example.txt", "a");
    $data_hj = date("Y/m/d H:i");
    fwrite($file, "intro.php -> $data_hj -> $usuario_mac\n");
} else {
   $usuario_mac = file_get_contents("../a/last_mac.txt");
    $usuario_mac = strtoupper($usuario_mac);   
}
} else {
    $usuario_mac = file_get_contents("../a/last_mac.txt");
    $usuario_mac = strtoupper($usuario_mac);
}

$db1 = new SQLite3('../a/.eggziedb.db');
$result = $db1->query("SELECT COUNT(id) AS total FROM ibo WHERE mac_address = '$usuario_mac' AND seller <> 'ADM'");
$rownew = $result->fetchArray();
$count = $rownew['total'];

$where_claus = " WHERE id = '1'";

if($count > 0) {
    
    $res1 = $db1->query("SELECT * FROM ibo WHERE mac_address = '$usuario_mac'");
    while ($row1 = $res1->fetchArray()) {
                                   
        $users_id = $row1['id'];
        $user_mac = $row1['mac_address'];
        $user_username = $row1['username'];
        $user_seller = $row1['seller'];
        $user_expire_date = $row1['expire_date'];
        $user_url = $row1['url'];
        $user_title = $row1['title'];
    }
    
    $where_claus = " WHERE owner = '$user_seller'";
}

    file_put_contents('teste.txt', "$count - $usuario_mac - $file_to_get");
    $db = new SQLite3('intro.db');
    $canal = $db->querySingle("SELECT url FROM intro $where_claus");
    
    if ($canal != '') {
    	header('Location: ' . $canal);
    	exit();
    }
    else {
    	header('Location: https://google.com');
    	exit();
    }


?>
